package com.template.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/7 星期五 15:14
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum eIsSuper {
    NotSuper(0),//非超级管理员
    Super(1);//超级管理员

    private int value;

    eIsSuper(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eIsSuper valueOf(int value) {
        switch (value) {
            case 0:
                return eIsSuper.NotSuper;
            case 1:
                return eIsSuper.Super;
            default:
                return null;
        }
    }
}
